package kano.mgr;

import java.util.HashMap;

import kano.session.Session;

public class EntityCache 
{
	private HashMap m_hmCache = new HashMap();
	private AbstractMgr m_mgr = null;
	
	public EntityCache(AbstractMgr mgr)
	{
		m_mgr = mgr;
	}
	
	public Object get(Session s, int iId) throws Exception
	{
		Object result = m_hmCache.get(""+iId);
		if (result == null)
		{
			result = m_mgr.get(s, iId);
			m_hmCache.put(""+iId, result);
		}
		
		return result;
	}

}
